import request from '@/utils/request'

export default {
    //查询监测点权重
    LineWeightList(data) {
        return request({
            url: '/device-boot/LineWeight/LineWeightList',
            method: 'post',
            data,
        })
    },
    //监测点评分权重修改
    addLineWeight(data) {
        return request({
            url: '/device-boot/LineWeight/addLineWeight',
            method: 'post',
            data,
        })
    },
    //监测点评分权重模板导出
    export(data) {
        return request({
            url: '/device-boot/LineWeight/export',
            method: 'post',
            data,
            responseType: 'blob'
        })
    },
    //批量导入监测点评分权重
    batchWeight(data) {
        return request({
            url: '/device-boot/LineWeight/batchWeight',
            method: 'post',
            data,
            headers: { 'Content-Type': 'multipart/form-data' },
        })
    },
}